#include <stdio.h>
#include <stdlib.h>


int main()
{
    int N, x, rast;
    scanf("%d %d", &N, &x);
    int i, j = 0;
    int arr[N], *pokarr;
    for(i = 0; i < N; i++) scanf("%d", &arr[i]);
    pokarr = arr;
    sort(pokarr, N);
    int prvi = arr[0];
    int poslednji = arr[N-1];
    if(x < prvi) rast = abs(poslednji - x);
    else if(x > poslednji) rast = abs(x - prvi);
    else
    {
        if(abs(x - prvi) < abs(poslednji - x)) rast = 2*abs(x - prvi) + abs(poslednji - x);
        else rast = abs(x - prvi) + 2*abs(poslednji - x);
    }
    printf("%d", rast);

}

void sort(int* arr, int N)
{
    int temp;
    int i, j;
    for(i = 0; i < N-1; i++){
        for(j = i; j < N; j++){
            if(*(arr+i) > *(arr+j))
            {
                temp = *(arr+i);
                *(arr+i) = *(arr+j);
                *(arr+j) = temp;
            }
        }
    }
}